%define	libtoolize	:
%define	_smp_mflags	-j1

Summary:	GNU libraries and utilities for producing multi-lingual messages.
Name:		gettext
Group:		Development/Tools
License:	GPL/LGPL
Version:	0.14.5
Release:	2
Source:		ftp://ftp.gnu.org/gnu/gettext/%{name}-%{version}.tar.gz
Source1:	po-mode-init.el
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs. Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings. Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

%files -f %{name}.lang
  %defattr(-,root,root)
  %doc AUTHORS COPYING README NEWS THANKS
  %doc %{_infodir}/*
  %doc %{_mandir}/*/*
  %attr(0511,root,root)		%{_root_bindir}/*
  %attr(0511,root,root)		%{_bindir}/*
  %{_datadir}/gettext
  %{_datadir}/aclocal/*

  %attr(0444,root,root)		%{_includedir}/*.h
  %attr(0444,root,root)		%{_libdir}/*.a
  %attr(0444,root,root)		%{_libdir}/*.la

  %attr(0755,root,root)		%dir %{_libdir}/%{name}
  %attr(0755,root,root)		%{_libdir}/%{name}/*

# # These aren't in glibc...
# %dir /usr/share/locale/en@boldquot
# %dir /usr/share/locale/en@boldquot/LC_MESSAGES
# %dir /usr/share/locale/en@quot
# %dir /usr/share/locale/en@quot/LC_MESSAGES

%prep
%setup -q

%build
  export CFLAGS="$RPM_OPT_FLAGS -fPIC"

  [ -f  /usr/share/automake/depcomp ] && cp -f /usr/share/automake/{depcomp,ylwrap} . || :
  %configure --disable-shared --with-included-gettext
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  # Fix busted no-emacs install for $lispdir/po-mode.el
  %makeinstall lispdir=$RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp \
	       aclocaldir=$RPM_BUILD_ROOT/%{_datadir}/aclocal
    
  mkdir -p $RPM_BUILD_ROOT/%{_root_bindir}
  mv $RPM_BUILD_ROOT/%{_bindir}/gettext $RPM_BUILD_ROOT/%{_root_bindir}
  ln -s ../../bin/gettext $RPM_BUILD_ROOT/%{_bindir}/gettext

  pushd $RPM_BUILD_ROOT/%{_datadir}/locale
  for foo in `find . -maxdepth 1 -mindepth 1 -type d` ; do
    lang=`echo $foo | cut -c 3-`
    echo "%lang($lang) %{_datadir}/locale/$foo/*/*" >> \
	$RPM_BUILD_DIR/%{name}-%{version}/trans.list
  done
  popd

  install -D %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/site-start.d

  # Remove unpackaged files.
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/dir
  rm -f  $RPM_BUILD_ROOT/%{_includedir}/libintl.h
  rm -f  $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/site-start.d
  rm -f  $RPM_BUILD_ROOT/%{_datadir}/locale/locale.alias
  rm -fr $RPM_BUILD_ROOT/%{_datadir}/doc/gettext
  rm -fr $RPM_BUILD_ROOT/%{_datadir}/doc/libasprintf

  %find_lang gettext-tools
  %find_lang gettext-runtime

  for i in gettext-tools gettext-runtime
  do
    cat $i.lang >> %{name}.lang
  done

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 11 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.14.5, Release 2
  - Happy Birthday Christi!
  - Build libraries with -fPIC.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.14.5, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
